
From: Trond Myklebust <trond.myklebust@fys.uio.no>

A patch by Greg Banks that fixes the "VFS: Busy inodes after unmount."
problem.


---

 fs/nfs/dir.c |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN fs/nfs/dir.c~nfs_unlink-oops-fix fs/nfs/dir.c
--- 25/fs/nfs/dir.c~nfs_unlink-oops-fix	2004-02-28 18:19:39.000000000 -0800
+++ 25-akpm/fs/nfs/dir.c	2004-02-28 18:19:39.000000000 -0800
@@ -666,6 +666,11 @@ static int nfs_dentry_delete(struct dent
 		/* Unhash it, so that ->d_iput() would be called */
 		return 1;
 	}
+	if (!(dentry->d_sb->s_flags & MS_ACTIVE)) {
+		/* Unhash it, so that ancestors of killed async unlink
+		 * files will be cleaned up during umount */
+		return 1;
+	}
 	return 0;
 
 }

_
